import { defineComponent as t, createBlock as n, openBlock as s, unref as e, mergeProps as r, withCtx as a, renderSlot as i } from "vue";
import { DasBaseIcon as c } from "@das-fed/ui/packages/components/icon";
const p = '<?xml version="1.0" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><svg class="icon" width="200px" height="200.00px" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path  d="M512 96a32 32 0 0 1 32 32v352H896a32 32 0 0 1 0 64l-352-0.064V896a32 32 0 1 1-64 0V543.936L128 544a32 32 0 1 1 0-64h352V128a32 32 0 0 1 32-32z" /></svg>', m = /* @__PURE__ */ t({
  __name: "index",
  setup(d) {
    return (o, l) => (s(), n(e(c), r({ icon: e(p) }, o.$attrs), {
      default: a(() => [
        i(o.$slots, "default")
      ]),
      _: 3
      /* FORWARDED */
    }, 16, ["icon"]));
  }
});
export {
  m as DasIconAdd2
};
